<?php
include('../../path.php');
require_once(ROOT_CONFIG);

    $Id_Catalogo_Tipo_Persona=!empty($_REQUEST['Id_Catalogo_Tipo_Persona'])?$_REQUEST['Id_Catalogo_Tipo_Persona']:'';
    $Odbj_conexion = new odbconexion;
    $conexion=$Odbj_conexion->openconection();
    $consulta="SELECT * FROM catalogo_tipo_persona WHERE Id_Catalogo_Tipo_Persona='$Id_Catalogo_Tipo_Persona'";
    $Array_adapter=$conexion->query($consulta);
    $conexion->close();
    //return $Array_adapter;

    // Verificar si se encontró registros
    if ($Array_adapter->num_rows > 0) {
        $catalogo_tipo_persona = $Array_adapter->fetch_assoc();
        echo json_encode($catalogo_tipo_persona);
    } else {
        echo json_encode(null); // Si no se encontró resultados, devuelve null
    }

?>

